Index: springapp/src/main/java/mk/profesori/springapp/Controller/PublicController.java
===================================================================
--- springapp/src/main/java/mk/profesori/springapp/Controller/PublicController.java	(revision 9bf1f8db5dd66185ddc4f7d093582ff73006f66b)
+++ springapp/src/main/java/mk/profesori/springapp/Controller/PublicController.java	(revision 8dffe022a42c8c6fdea90df3276eb16b6610b51f)
@@ -13,5 +13,5 @@
 @RestController
 @RequestMapping("/public")
-@CrossOrigin(origins = { "http://192.168.1.254:3000", "http://192.168.0.28:3000" })
+@CrossOrigin(origins = { "http://192.168.1.108:3000", "http://192.168.0.28:3000" })
 public class PublicController {
 
Index: springapp/src/main/java/mk/profesori/springapp/Controller/SecureController.java
===================================================================
--- springapp/src/main/java/mk/profesori/springapp/Controller/SecureController.java	(revision 9bf1f8db5dd66185ddc4f7d093582ff73006f66b)
+++ springapp/src/main/java/mk/profesori/springapp/Controller/SecureController.java	(revision 8dffe022a42c8c6fdea90df3276eb16b6610b51f)
@@ -22,5 +22,5 @@
 @RestController
 @RequestMapping("/secure")
-@CrossOrigin(origins = { "http://192.168.1.254:3000", "http://192.168.0.28:3000" })
+@CrossOrigin(origins = { "http://192.168.1.108:3000", "http://192.168.0.28:3000" })
 public class SecureController {
 
Index: springapp/src/main/java/mk/profesori/springapp/Security/SecurityConfiguration.java
===================================================================
--- springapp/src/main/java/mk/profesori/springapp/Security/SecurityConfiguration.java	(revision 9bf1f8db5dd66185ddc4f7d093582ff73006f66b)
+++ springapp/src/main/java/mk/profesori/springapp/Security/SecurityConfiguration.java	(revision 8dffe022a42c8c6fdea90df3276eb16b6610b51f)
@@ -37,5 +37,5 @@
             @Override
             public void addCorsMappings(CorsRegistry registry) {
-                registry.addMapping("/**").allowedOrigins("http://192.168.1.254:3000", "http://192.168.0.28:3000")
+                registry.addMapping("/**").allowedOrigins("http://192.168.1.108:3000", "http://192.168.0.28:3000")
                         .allowCredentials(true);
             }
Index: springapp/src/main/java/mk/profesori/springapp/Service/RegistrationService.java
===================================================================
--- springapp/src/main/java/mk/profesori/springapp/Service/RegistrationService.java	(revision 9bf1f8db5dd66185ddc4f7d093582ff73006f66b)
+++ springapp/src/main/java/mk/profesori/springapp/Service/RegistrationService.java	(revision 8dffe022a42c8c6fdea90df3276eb16b6610b51f)
@@ -45,5 +45,5 @@
                 String tokenToResend = customUserDetailsService
                         .createToken(userRepository.findByEmail(request.getEmail()).get());
-                String link = "http://192.168.1.254:8080/registration/confirm?token=" + tokenToResend;
+                String link = "http://192.168.1.108:8080/registration/confirm?token=" + tokenToResend;
                 emailSender.send(request.getEmail(), emailSender.buildEmail(request.getUsername(), link));
                 return tokenToResend;
@@ -66,5 +66,5 @@
                         UserRole.REGULAR));
 
-        String link = "http://192.168.1.254:8080/registration/confirm?token=" + token;
+        String link = "http://192.168.1.108:8080/registration/confirm?token=" + token;
 
         emailSender.send(request.getEmail(), emailSender.buildEmail(request.getUsername(), link));
Index: springapp/src/main/resources/application.properties
===================================================================
--- springapp/src/main/resources/application.properties	(revision 9bf1f8db5dd66185ddc4f7d093582ff73006f66b)
+++ springapp/src/main/resources/application.properties	(revision 8dffe022a42c8c6fdea90df3276eb16b6610b51f)
@@ -1,11 +1,11 @@
 spring.datasource.url=jdbc:postgresql://localhost:5432/profesorimk
 spring.datasource.username=postgres
-spring.datasource.password=baz@228
+spring.datasource.password=postgres
 spring.jpa.hibernate.ddl-auto=update
 spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect
 spring.jpa.show-sql=false
 spring.jpa.properties.hibernate.format_sql=true
-server.address=192.168.1.254
-spring.mail.host=192.168.1.254
+server.address=192.168.1.108
+spring.mail.host=192.168.1.108
 spring.mail.username=mailuser
 spring.mail.password=mailpass
